package com.muyu.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.domain.TaskOutputInfo;
import com.muyu.mapper.TaskOutputMapper;
import com.muyu.service.TaskOutputService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @PackageName:com.muyu.controller
 * @ClassName:TaskOutPutController
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/9/3 16:54
 */
@RestController
@RequestMapping(value = "/taskOutPut")
public class TaskOutputController {

    @Autowired
    private TaskOutputService taskOutputService;

    //添加数据输出方法
    @RequestMapping(value = "addTaskOutput")
    public Result<String> addTaskOutPut(@RequestBody TaskOutputInfo taskOutputInfo){
        return Result.success(null,
                taskOutputService.addTaskOutput(taskOutputInfo));
    }


}
