package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @PackageName:com.muyu.domain.req
 * @ClassName:TaskInforeq
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/8/23 10:49
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TaskInfoReq {

    /**
     * 任务名称
     */
    private String name;

    /**
     * 任务优先级
     */
    private Integer weigh;

    /**
     * 任务状态
     */
    private Integer status;


    private Integer pageNum=1;

    private Integer pageSize=5;
}
